Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.ui
Class StandardGradientPaintTransformer

    java.lang.Object
      org.jfree.ui.StandardGradientPaintTransformer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, GradientPaintTransformer, PublicCloneable

    public class StandardGradientPaintTransformer

extends java.lang.Object
implements GradientPaintTransformer, java.lang.Cloneable, PublicCloneable, java.io.Serializable

Transforms a `GradientPaint` to range over the width of a target shape. Instances of this class are immutable.

Author:
  David Gilbert
See Also:
  Serialized Form

Constructor Summary
`StandardGradientPaintTransformer()` Creates a new transformer with the type `GradientPaintTransformType.VERTICAL`.
`StandardGradientPaintTransformer(GradientPaintTransformType type)` Creates a new transformer with the specified type.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the transformer.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`GradientPaintTransformType` | `getType()` Returns the type of transform.
`int` | `hashCode()` Returns a hash code for this object.
`java.awt.GradientPaint` | `transform(java.awt.GradientPaint paint, java.awt.Shape target)` Transforms a `GradientPaint` instance to fit the specified `target` shape.

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardGradientPaintTransformer

    public StandardGradientPaintTransformer()

  Creates a new transformer with the type `GradientPaintTransformType.VERTICAL`.

### StandardGradientPaintTransformer

    public StandardGradientPaintTransformer(GradientPaintTransformType type)

  Creates a new transformer with the specified type.

  Parameters:
    `type` - the transform type (`null` not permitted).

Method Detail

### getType

    public GradientPaintTransformType getType()

  Returns the type of transform.

  Returns:
    The type of transform (never `null`).
  Since:
    1.0.10

### transform

    public java.awt.GradientPaint transform(java.awt.GradientPaint paint,
                                            java.awt.Shape target)

  Transforms a `GradientPaint` instance to fit the specified `target` shape.

  Specified by:
    `transform` in interface `GradientPaintTransformer`
  Parameters:
    `paint` - the original paint (`null` not permitted).
    `target` - the target shape (`null` not permitted).
  Returns:
    The transformed paint.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the transformer. Note that instances of this class are immutable, so cloning an instance isn't really necessary.

  Specified by:
    `clone` in interface `PublicCloneable`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - not thrown by this class, but subclasses (if any) might.

### hashCode

    public int hashCode()

  Returns a hash code for this object.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    A hash code.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD